Package org.apache.batchee.jaxb

## Class Next

- java.lang.Object
- - org.apache.batchee.jaxb.Next

- All Implemented Interfaces:
    `TransitionElement`

      public class Next
      extends Object
      implements TransitionElement

  Java class for Next complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="Next">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="on" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="to" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String` | `on` |
    `protected String` | `to` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Next()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getOn()` | Gets the value of the on property.
    `String` | `getTo()` | Gets the value of the to property.
    `void` | `setOn​(String value)` | Sets the value of the on property.
    `void` | `setTo​(String value)` | Sets the value of the to property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### on

          protected String on

    - #### to

          protected String to

  - ### Constructor Detail

    - #### Next

          public Next()

  - ### Method Detail

    - #### getOn

          public String getOn()

      Gets the value of the on property.
      Specified by:
        `getOn` in interface `TransitionElement`
      Returns:
        possible object is `String`

    - #### setOn

          public void setOn​(String value)

      Sets the value of the on property.
      Specified by:
        `setOn` in interface `TransitionElement`
      Parameters:
        `value` - allowed object is `String`

    - #### getTo

          public String getTo()

      Gets the value of the to property.
      Returns:
        possible object is `String`

    - #### setTo

          public void setTo​(String value)

      Sets the value of the to property.
      Parameters:
        `value` - allowed object is `String`